
public class grille {
        public static void main(String[] args) {
            for(int j = 0; j < Integer.parseInt(args[0]); j++) {
            System.out.print("+");
            for(int i = 0; i < Integer.parseInt(args[0]); i++) {    
                System.out.print("-+");
}

        System.out.print("\n|");
        for(int i = 0; i < Integer.parseInt(args[0]); i++) {    
            System.out.print(" |");
        }
        System.out.print("\n");
    }
    System.out.print("+");
    for(int i = 0; i < Integer.parseInt(args[0]); i++) {    
        System.out.print("-+");
}
}
}

